const offerDate = document.getElementById('offer-date');
const offerDate2 = document.getElementById('offer-date2');
const commentDate = document.querySelectorAll('.comment-date');

function showOfferDate() {
    const monthsArr = ["stycznia", "lutego", "marca", "kwietnia", "maja", "czerwca", "lipca", "sierpnia", "września", "października", "listopada", "grudnia"];
    const now = new Date();

    return `${now.getDate()} ${monthsArr[now.getMonth()]} ${now.getFullYear()} roku`;
}

offerDate.innerText = showOfferDate();

function showCommentDate() {
    const now = new Date();
    let numDay = now.getDate();
    let numMonth = now.getMonth();
    numMonth++;

    if (numDay < 10) numDay = "0" + numDay;
    if (numMonth < 10) numMonth = "0" + numMonth;

    return ` ${numDay}-${numMonth}-${now.getFullYear()}`;
}

commentDate.forEach(el => el.innerText = showCommentDate());

const btn = document.querySelector('.commentary__btn');
const errorMsg = document.querySelector('.comments__warning.d-none');
const thanksBox = document.querySelector('.thanks-box');
const exit = document.querySelector('.exit');
const comment = document.querySelector('#comment');
const userName = document.querySelector('#userName');

const showBox = (event) => {
    event.preventDefault();
    if ((comment.value != '') && (userName.value != '')) {
        thanksBox.style.visibility = 'visible';
        comment.style.borderColor = '#ced4da';
        errorMsg.classList.add('d-none');
    } else {
        comment.style.borderColor = '#FF0000';
        errorMsg.classList.remove('d-none');
    }
}

const hideBox = () => {
    thanksBox.style.visibility = 'hidden'
    comment.value = "";
    userName.value = "";
}

btn.addEventListener('click', showBox);
exit.addEventListener('click', hideBox);